### Hierarchy

- SdaDialogDelegateTools

## Index

### Properties

- ADD_TO_BRIEFCASE_MENU_ACTION_ID
- BRIEFCASE_COMMENTS_DIALOG_ID
- BRIEFCASE_DETAILS_DIALOG_ID
- BRIEFCASE_DETAILS_DIALOG_NAME
- BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_ID
- BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_NAME
- BRIEFCASE_ENTER_OFFLINE_ROOT_DIALOG_ID
- BRIEFCASE_MOBILE_COMMENTS_DIALOG_NAME
- BRIEFCASE_ROOT_DIALOG_ID
- BRIEFCASE_ROOT_DIALOG_NAME
- BRIEFCASE_WORKBENCH_ACTION_ID
- BRIEFCASE_WORK_PACKAGES_DIALOG_ID
- BRIEFCASE_WORK_PACKAGES_DIALOG_NAME
- DIALOG_DELEGATE_STATE_KEY
- DIALOG_DELEGATE_STATE_KEY_SUFFIX
- DOCUMENTS_LIST_DIALOG_NAME
- DOCUMENTS_PROPERTIES_DIALOG_NAME
- DOCUMENTS_ROOT_DIALOG_NAME
- EDITOR_DIALOG_MODEL_TYPE
- ENTER_OFFLINE_MODE_MENU_ACTION_ID
- EXIT_OFFLINE_MODE_MENU_ACTION_ID
- MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_ID
- MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_NAME
- MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_ID
- MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_NAME
- MOBILE_COMMENT_DETAILS_PROPERTIES_DIALOG_NAME
- MOBILE_COMMENT_DETAILS_ROOT_DIALOG_NAME
- MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_ID
- MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_NAME
- MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_ID
- MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_NAME
- OFFLINE_DOCUMENTS_DIALOG_PROPERTIES_ID_PREFIX
- OFFLINE_SESSION_KEY
- OFFLINE_TAGS_DIALOG_PROPERTIES_ID_PREFIX
- RECORD_SET_MODEL_TYPE
- REMOVE_FROM_BRIEFCASE_MENU_ACTION_ID
- SESSION_ID_MODEL_TYPE
- TAGS_LIST_DIALOG_NAME
- TAGS_PROPERTIES_DIALOG_NAME
- TAGS_ROOT_DIALOG_NAME
- TAG_DETAILS_LIST_DIALOG_NAME
- TAG_DETAILS_PROPERTIES_DIALOG_NAME
- TAG_DETAILS_ROOT_DIALOG_NAME
- WORK_PACKAGES_LIST_DIALOG_NAME
- WORK_PACKAGES_ROOT_DIALOG_NAME

### Methods

- constructAddToBriefcaseNullRedirection
- constructBriefcaseEnterOfflineDetailsNullRedirection
- constructExitOfflineModeNullRedirection
- constructOfflineLogoutResponse
- constructRemoveFromBriefcaseNullRedirection
- createOfflineLoginHash
- createStorageKey
- insertBriefcaseMetaDataIntoWorkPackagesDialog
- isBriefcaseEnterOfflineDetailsDialogId
- isBriefcaseEnterOfflineDialogId
- isBriefcaseWorkbenchActionRequest
- isEnterOfflineModeMenuActionRequest
- isExitOfflineModeMenuActionRequest
- isOfflineBriefcaseCommentsRecordSetRequest
- isOfflineBriefcaseDetailsDialogId
- isOfflineBriefcaseDialogId
- isOfflineBriefcaseWorkPackagesDialogId
- isOfflineBriefcaseWorkPackagesRequest
- isOfflineDocumentsPropertiesDialogId
- isOfflineTagsPropertiesDialogId
- isWorkPackagesAddToBriefcaseMenuActionRequest
- isWorkPackagesListRecordSet
- isWorkPackagesRemoveFromBriefcaseMenuActionRequest
- isWorkPackagesRootDialog
- readDialogDelegateStateKeys
- readDialogDelegateStateVisitor
- readOfflineDocumentsPropertiesRecord
- readOfflineSession
- readOfflineTagsPropertiesRecord
- startsWithBriefcaseRootDialogId
- writeDialogDelegateState
- writeOfflineSession

## Properties

### Static Private ADD_TO_BRIEFCASE_MENU_ACTION_ID

ADD_TO_BRIEFCASE_MENU_ACTION_ID: string = "alias_AddToBriefcase"

- Defined in ppm/SdaDialogDelegateTools.ts:65

### Static BRIEFCASE_COMMENTS_DIALOG_ID

BRIEFCASE_COMMENTS_DIALOG_ID: string = SdaDialogDelegateTools.BRIEFCASE_ROOT_DIALOG_ID + '_comments'

- Defined in ppm/SdaDialogDelegateTools.ts:17

### Static BRIEFCASE_DETAILS_DIALOG_ID

BRIEFCASE_DETAILS_DIALOG_ID: string = SdaDialogDelegateTools.BRIEFCASE_ROOT_DIALOG_ID + '_details'

- Defined in ppm/SdaDialogDelegateTools.ts:18

### Static BRIEFCASE_DETAILS_DIALOG_NAME

BRIEFCASE_DETAILS_DIALOG_NAME: string = "Briefcase_Briefcase_Details"

- Defined in ppm/SdaDialogDelegateTools.ts:25

### Static BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_ID

BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_ID: string = SdaDialogDelegateTools.BRIEFCASE_ROOT_DIALOG_ID + '_enter_offline_details'

- Defined in ppm/SdaDialogDelegateTools.ts:21

### Static BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_NAME

BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_NAME: string = "Briefcase_EnterOfflineMode"

- Defined in ppm/SdaDialogDelegateTools.ts:30

### Static BRIEFCASE_ENTER_OFFLINE_ROOT_DIALOG_ID

BRIEFCASE_ENTER_OFFLINE_ROOT_DIALOG_ID: string = SdaDialogDelegateTools.BRIEFCASE_ROOT_DIALOG_ID + '_enter_offline'

- Defined in ppm/SdaDialogDelegateTools.ts:22

### Static BRIEFCASE_MOBILE_COMMENTS_DIALOG_NAME

BRIEFCASE_MOBILE_COMMENTS_DIALOG_NAME: string = "Briefcase_Briefcase_MobileComments"

- Defined in ppm/SdaDialogDelegateTools.ts:26

### Static BRIEFCASE_ROOT_DIALOG_ID

BRIEFCASE_ROOT_DIALOG_ID: string = "briefcase"

- Defined in ppm/SdaDialogDelegateTools.ts:16

### Static BRIEFCASE_ROOT_DIALOG_NAME

BRIEFCASE_ROOT_DIALOG_NAME: string = "Briefcase_Briefcase_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:27

### Static Private BRIEFCASE_WORKBENCH_ACTION_ID

BRIEFCASE_WORKBENCH_ACTION_ID: string = "Briefcase"

- Defined in ppm/SdaDialogDelegateTools.ts:66

### Static BRIEFCASE_WORK_PACKAGES_DIALOG_ID

BRIEFCASE_WORK_PACKAGES_DIALOG_ID: string = SdaDialogDelegateTools.BRIEFCASE_ROOT_DIALOG_ID + '_workPackages'

- Defined in ppm/SdaDialogDelegateTools.ts:19

### Static BRIEFCASE_WORK_PACKAGES_DIALOG_NAME

BRIEFCASE_WORK_PACKAGES_DIALOG_NAME: string = "Briefcase_Briefcase_Workpackages"

- Defined in ppm/SdaDialogDelegateTools.ts:28

### Static Private DIALOG_DELEGATE_STATE_KEY

DIALOG_DELEGATE_STATE_KEY: string = '${userId}.${tenantId}.' + SdaDialogDelegateTools.DIALOG_DELEGATE_STATE_KEY_SUFFIX

- Defined in ppm/SdaDialogDelegateTools.ts:78

### Static Private DIALOG_DELEGATE_STATE_KEY_SUFFIX

DIALOG_DELEGATE_STATE_KEY_SUFFIX: string = "SdaDialogDelegate.delegatestate"

- Defined in ppm/SdaDialogDelegateTools.ts:77

### Static DOCUMENTS_LIST_DIALOG_NAME

DOCUMENTS_LIST_DIALOG_NAME: string = "Workpackage_Documents_Documents"

- Defined in ppm/SdaDialogDelegateTools.ts:32

### Static DOCUMENTS_PROPERTIES_DIALOG_NAME

DOCUMENTS_PROPERTIES_DIALOG_NAME: string = "Workpackage_Documents_Properties"

- Defined in ppm/SdaDialogDelegateTools.ts:33

### Static DOCUMENTS_ROOT_DIALOG_NAME

DOCUMENTS_ROOT_DIALOG_NAME: string = "Workpackage_Documents_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:34

### Static Private EDITOR_DIALOG_MODEL_TYPE

EDITOR_DIALOG_MODEL_TYPE: string = "hxgn.api.dialog.EditorDialog"

- Defined in ppm/SdaDialogDelegateTools.ts:72

### Static Private ENTER_OFFLINE_MODE_MENU_ACTION_ID

ENTER_OFFLINE_MODE_MENU_ACTION_ID: string = "alias_EnterOfflineMode"

- Defined in ppm/SdaDialogDelegateTools.ts:67

### Static Private EXIT_OFFLINE_MODE_MENU_ACTION_ID

EXIT_OFFLINE_MODE_MENU_ACTION_ID: string = "alias_ExitOfflineMode"

- Defined in ppm/SdaDialogDelegateTools.ts:68

### Static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_ID

MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_ID: string = "comment_not_available_details"

- Defined in ppm/SdaDialogDelegateTools.ts:44

### Static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_NAME

MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_NAME: string = "MobileComment_CommentNotAvailable"

- Defined in ppm/SdaDialogDelegateTools.ts:45

### Static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_ID

MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_ID: string = "comment_not_available"

- Defined in ppm/SdaDialogDelegateTools.ts:46

### Static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_NAME

MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_NAME: string = "MobileComment_CommentNotAvailable_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:47

### Static MOBILE_COMMENT_DETAILS_PROPERTIES_DIALOG_NAME

MOBILE_COMMENT_DETAILS_PROPERTIES_DIALOG_NAME: string = "MobileComment_Details_Properties"

- Defined in ppm/SdaDialogDelegateTools.ts:36

### Static MOBILE_COMMENT_DETAILS_ROOT_DIALOG_NAME

MOBILE_COMMENT_DETAILS_ROOT_DIALOG_NAME: string = "MobileComment_Details_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:37

### Static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_ID

MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_ID: string = "image_not_available_details"

- Defined in ppm/SdaDialogDelegateTools.ts:39

### Static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_NAME

MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_NAME: string = "MobileComment_ImageNotAvailable"

- Defined in ppm/SdaDialogDelegateTools.ts:40

### Static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_ID

MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_ID: string = "image_not_available"

- Defined in ppm/SdaDialogDelegateTools.ts:41

### Static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_NAME

MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_NAME: string = "MobileComment_ImageNotAvailable_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:42

### Static Private OFFLINE_DOCUMENTS_DIALOG_PROPERTIES_ID_PREFIX

OFFLINE_DOCUMENTS_DIALOG_PROPERTIES_ID_PREFIX: string = "offline_documents_properties_"

- Defined in ppm/SdaDialogDelegateTools.ts:61

### Static Private OFFLINE_SESSION_KEY

OFFLINE_SESSION_KEY: string = "${userId}.${tenantId}.offlinesession"

- Defined in ppm/SdaDialogDelegateTools.ts:79

### Static Private OFFLINE_TAGS_DIALOG_PROPERTIES_ID_PREFIX

OFFLINE_TAGS_DIALOG_PROPERTIES_ID_PREFIX: string = "offline_tags_properties_"

- Defined in ppm/SdaDialogDelegateTools.ts:62

### Static Private RECORD_SET_MODEL_TYPE

RECORD_SET_MODEL_TYPE: string = "hxgn.api.dialog.RecordSet"

- Defined in ppm/SdaDialogDelegateTools.ts:73

### Static Private REMOVE_FROM_BRIEFCASE_MENU_ACTION_ID

REMOVE_FROM_BRIEFCASE_MENU_ACTION_ID: string = "alias_RemoveFromBriefcase"

- Defined in ppm/SdaDialogDelegateTools.ts:69

### Static Private SESSION_ID_MODEL_TYPE

SESSION_ID_MODEL_TYPE: string = "hxgn.api.dialog.SessionId"

- Defined in ppm/SdaDialogDelegateTools.ts:74

### Static TAGS_LIST_DIALOG_NAME

TAGS_LIST_DIALOG_NAME: string = "Workpackage_Tags_Tags"

- Defined in ppm/SdaDialogDelegateTools.ts:51

### Static TAGS_PROPERTIES_DIALOG_NAME

TAGS_PROPERTIES_DIALOG_NAME: string = "Workpackage_Tags_Properties"

- Defined in ppm/SdaDialogDelegateTools.ts:50

### Static TAGS_ROOT_DIALOG_NAME

TAGS_ROOT_DIALOG_NAME: string = "Workpackage_Tags_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:49

### Static TAG_DETAILS_LIST_DIALOG_NAME

TAG_DETAILS_LIST_DIALOG_NAME: string = "Tag_Details_Documents"

- Defined in ppm/SdaDialogDelegateTools.ts:55

### Static TAG_DETAILS_PROPERTIES_DIALOG_NAME

TAG_DETAILS_PROPERTIES_DIALOG_NAME: string = "Tag_Details_Properties"

- Defined in ppm/SdaDialogDelegateTools.ts:54

### Static TAG_DETAILS_ROOT_DIALOG_NAME

TAG_DETAILS_ROOT_DIALOG_NAME: string = "Tag_Details_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:53

### Static WORK_PACKAGES_LIST_DIALOG_NAME

WORK_PACKAGES_LIST_DIALOG_NAME: string = "Workpackage_General"

- Defined in ppm/SdaDialogDelegateTools.ts:57

### Static WORK_PACKAGES_ROOT_DIALOG_NAME

WORK_PACKAGES_ROOT_DIALOG_NAME: string = "Workpackage_General_FORM"

- Defined in ppm/SdaDialogDelegateTools.ts:58

## Methods

### Static constructAddToBriefcaseNullRedirection

- constructAddToBriefcaseNullRedirection(tenantId: string, sessionId: string, referringDialogId: string): StringDictionary

- - Defined in ppm/SdaDialogDelegateTools.ts:81

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### referringDialogId: string

  #### Returns StringDictionary

### Static constructBriefcaseEnterOfflineDetailsNullRedirection

- constructBriefcaseEnterOfflineDetailsNullRedirection(tenantId: string, sessionId: string, refreshNeeded: boolean): StringDictionary

- - Defined in ppm/SdaDialogDelegateTools.ts:99

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### refreshNeeded: boolean

  #### Returns StringDictionary

### Static constructExitOfflineModeNullRedirection

- constructExitOfflineModeNullRedirection(tenantId: string, sessionId: string): StringDictionary

- - Defined in ppm/SdaDialogDelegateTools.ts:118

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns StringDictionary

### Static constructOfflineLogoutResponse

- constructOfflineLogoutResponse(sessionId: string): object

- - Defined in ppm/SdaDialogDelegateTools.ts:136

  #### Parameters

  - ##### sessionId: string

  #### Returns object

  - ##### sessionId: string

  - ##### type: string

### Static constructRemoveFromBriefcaseNullRedirection

- constructRemoveFromBriefcaseNullRedirection(tenantId: string, sessionId: string, referringDialogId: string): StringDictionary

- - Defined in ppm/SdaDialogDelegateTools.ts:143

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### referringDialogId: string

  #### Returns StringDictionary

### Static createOfflineLoginHash

- createOfflineLoginHash(tenantId: string, sessionId: string, userId: string, password: string): string

- - Defined in ppm/SdaDialogDelegateTools.ts:161

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### userId: string

  - ##### password: string

  #### Returns string

### Static Private createStorageKey

- createStorageKey(tenantId: string, userId: string, keyTemplate: string): string

- - Defined in ppm/SdaDialogDelegateTools.ts:332

  #### Parameters

  - ##### tenantId: string

  - ##### userId: string

  - ##### keyTemplate: string

  #### Returns string

### Static insertBriefcaseMetaDataIntoWorkPackagesDialog

- insertBriefcaseMetaDataIntoWorkPackagesDialog(originalDialog: StringDictionary): StringDictionary

- - Defined in ppm/SdaDialogDelegateTools.ts:250

  #### Parameters

  - ##### originalDialog: StringDictionary

  #### Returns StringDictionary

### Static isBriefcaseEnterOfflineDetailsDialogId

- isBriefcaseEnterOfflineDetailsDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:167

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static isBriefcaseEnterOfflineDialogId

- isBriefcaseEnterOfflineDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:171

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static isBriefcaseWorkbenchActionRequest

- isBriefcaseWorkbenchActionRequest(dialogRequest: DialogRequest): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:175

  #### Parameters

  - ##### dialogRequest: DialogRequest

  #### Returns boolean

### Static isEnterOfflineModeMenuActionRequest

- isEnterOfflineModeMenuActionRequest(dialogRequest: DialogRequest): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:179

  #### Parameters

  - ##### dialogRequest: DialogRequest

  #### Returns boolean

### Static isExitOfflineModeMenuActionRequest

- isExitOfflineModeMenuActionRequest(dialogRequest: DialogRequest): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:183

  #### Parameters

  - ##### dialogRequest: DialogRequest

  #### Returns boolean

### Static isOfflineBriefcaseCommentsRecordSetRequest

- isOfflineBriefcaseCommentsRecordSetRequest(dialogRequest: DialogRequest): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:187

  #### Parameters

  - ##### dialogRequest: DialogRequest

  #### Returns boolean

### Static isOfflineBriefcaseDetailsDialogId

- isOfflineBriefcaseDetailsDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:195

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static isOfflineBriefcaseDialogId

- isOfflineBriefcaseDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:191

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static isOfflineBriefcaseWorkPackagesDialogId

- isOfflineBriefcaseWorkPackagesDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:199

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static isOfflineBriefcaseWorkPackagesRequest

- isOfflineBriefcaseWorkPackagesRequest(dialogRequest: DialogRequest): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:203

  #### Parameters

  - ##### dialogRequest: DialogRequest

  #### Returns boolean

### Static isOfflineDocumentsPropertiesDialogId

- isOfflineDocumentsPropertiesDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:211

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static isOfflineTagsPropertiesDialogId

- isOfflineTagsPropertiesDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:215

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static isWorkPackagesAddToBriefcaseMenuActionRequest

- isWorkPackagesAddToBriefcaseMenuActionRequest(dialogRequest: DialogRequest): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:219

  #### Parameters

  - ##### dialogRequest: DialogRequest

  #### Returns boolean

### Static isWorkPackagesListRecordSet

- isWorkPackagesListRecordSet(dialogRequest: DialogRequest, jsonObject: any): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:223

  #### Parameters

  - ##### dialogRequest: DialogRequest

  - ##### jsonObject: any

  #### Returns boolean

### Static isWorkPackagesRemoveFromBriefcaseMenuActionRequest

- isWorkPackagesRemoveFromBriefcaseMenuActionRequest(dialogRequest: DialogRequest): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:234

  #### Parameters

  - ##### dialogRequest: DialogRequest

  #### Returns boolean

### Static isWorkPackagesRootDialog

- isWorkPackagesRootDialog(jsonObject: any): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:242

  #### Parameters

  - ##### jsonObject: any

  #### Returns boolean

### Static readDialogDelegateStateKeys

- readDialogDelegateStateKeys(tenantId: string): Promise<string[]>

- - Defined in ppm/SdaDialogDelegateTools.ts:272

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<string[]>

### Static readDialogDelegateStateVisitor

- readDialogDelegateStateVisitor(tenantId: string, userId: string): Promise<SdaDialogDelegateStateVisitor>

- - Defined in ppm/SdaDialogDelegateTools.ts:283

  #### Parameters

  - ##### tenantId: string

  - ##### userId: string

  #### Returns Promise<SdaDialogDelegateStateVisitor>

### Static readOfflineDocumentsPropertiesRecord

- readOfflineDocumentsPropertiesRecord(tenantId: string, userId: string, dialogId: string): Promise<RecordVisitor>

- - Defined in ppm/SdaDialogDelegateTools.ts:302

  #### Parameters

  - ##### tenantId: string

  - ##### userId: string

  - ##### dialogId: string

  #### Returns Promise<RecordVisitor>

### Static readOfflineSession

- readOfflineSession(tenantId: string, userId: string): Promise<SessionVisitor>

- - Defined in ppm/SdaDialogDelegateTools.ts:307

  #### Parameters

  - ##### tenantId: string

  - ##### userId: string

  #### Returns Promise<SessionVisitor>

### Static readOfflineTagsPropertiesRecord

- readOfflineTagsPropertiesRecord(tenantId: string, userId: string, dialogId: string): Promise<RecordVisitor>

- - Defined in ppm/SdaDialogDelegateTools.ts:312

  #### Parameters

  - ##### tenantId: string

  - ##### userId: string

  - ##### dialogId: string

  #### Returns Promise<RecordVisitor>

### Static startsWithBriefcaseRootDialogId

- startsWithBriefcaseRootDialogId(dialogId: string): boolean

- - Defined in ppm/SdaDialogDelegateTools.ts:317

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### Static writeDialogDelegateState

- writeDialogDelegateState(tenantId: string, stateVisitor: SdaDialogDelegateStateVisitor): Promise<void>

- - Defined in ppm/SdaDialogDelegateTools.ts:321

  #### Parameters

  - ##### tenantId: string

  - ##### stateVisitor: SdaDialogDelegateStateVisitor

  #### Returns Promise<void>

### Static writeOfflineSession

- writeOfflineSession(tenantId: string, userId: string, offlineSessionVisitor: SessionVisitor): Promise<void>

- - Defined in ppm/SdaDialogDelegateTools.ts:327

  #### Parameters

  - ##### tenantId: string

  - ##### userId: string

  - ##### offlineSessionVisitor: SessionVisitor

  #### Returns Promise<void>

Generated using TypeDoc